@font-face {
  font-family: "Gamestation";
  src: url("../fonts/gamestation-text-font/GamestationText.otf");
}

@font-face {
  font-family: "Gamestation";
  src: url("../fonts/gamestation-text-font/GamestationTextoblique.otf");
  font-style: italic;
}

@font-face {
  font-family: "Press Start 2P";
  src: url("../fonts/Press_Start_2P/PressStart2P-Regular.ttf");
}

@font-face {
  font-family: "Blouse";
  src: url("../fonts/Blouse.ttf");
}

@property --gradient-angle {
  syntax: "<angle>";
  initial-value: 12deg;
  inherits: false;
}

* {
  scroll-margin-top: 9em;
}

html {
  scroll-behavior: smooth;
  min-height: 100vh;
}

body {
  background-color: black;
  background-image: linear-gradient(
    var(--gradient-angle),
    rgb(0 255 255 / 25%) 0%,
    rgb(46 80 255 / 25%) 25%,
    rgb(127 127 127 / 25%) 50%,
    rgb(255 38 168 / 25%) 75%,
    rgb(255 0 255 / 25%) 100%
  );
  background-repeat: no-repeat;
  background-size: cover;
  animation: rotate-gradient 120s linear infinite;

  color: white;
  font-family: "Gamestation", monospace;
  font-size: 12pt;
  text-align: justify;
  line-height: 1.4;
}

@keyframes rotate-gradient {
  0% {
    --gradient-angle: 12deg;
  }

  50% {
    --gradient-angle: 192deg;
  }

  100% {
    --gradient-angle: 372deg;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Blouse", "Gamestation", monospace;
  font-weight: normal;
  margin: 0.25em;
}

h1 {
  font-weight: bold;
}

a {
  color: rgba(200, 200, 255);
  transition: color 0.2s;
}

a:hover {
  color: rgba(127, 127, 255);
}

a:visited {
  color: rgba(255, 200, 255);
  transition: color 0.2s;
}

a:visited:hover {
  color: rgba(255, 127, 255);
}

button,
a.btn {
  background-color: transparent;
  color: white;
  border: 4px solid white;
  padding: 0.5em;
  font-family: "Press Start 2P", monospace;
  text-decoration: underline;
  box-shadow: none;
  transition:
    background-color 0.2s,
    box-shadow 0.2s;
}

button:hover,
a.btn:hover {
  background-color: black;
  box-shadow: 0 0 20px white;
}

footer {
  margin-top: 4em;
}

footer #previous-years a {
  display: inline-block;
  margin: 0 0.1em;
}

footer #socials {
  margin-bottom: 0.25em;
}

.socials a {
  text-decoration: none;
}
